﻿'------------------------------------------------------------------------------
' <auto-generated>
'     Este código fue generado por una herramienta.
'     Versión de runtime:4.0.30319.42000
'
'     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
'     se vuelve a generar el código.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Imports System.Data

Namespace GlobalService
    
    <System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0"),  _
     System.ServiceModel.ServiceContractAttribute(ConfigurationName:="GlobalService.GlobalServiceSoap")>  _
    Public Interface GlobalServiceSoap
        
        <System.ServiceModel.OperationContractAttribute(Action:="http://tempuri.org/ModuleSecurityAccess", ReplyAction:="*"),  _
         System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults:=true)>  _
        Function ModuleSecurityAccess(ByVal KeyPass As String, ByVal IdUser As String, ByVal IdModulo As Integer, ByVal IdOpcion As Integer, ByVal KeySesion As String) As System.Data.DataTable
        
        <System.ServiceModel.OperationContractAttribute(Action:="http://tempuri.org/ModuleSecurityAccess", ReplyAction:="*")>  _
        Function ModuleSecurityAccessAsync(ByVal KeyPass As String, ByVal IdUser As String, ByVal IdModulo As Integer, ByVal IdOpcion As Integer, ByVal KeySesion As String) As System.Threading.Tasks.Task(Of System.Data.DataTable)
    End Interface
    
    <System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")>  _
    Public Interface GlobalServiceSoapChannel
        Inherits GlobalService.GlobalServiceSoap, System.ServiceModel.IClientChannel
    End Interface
    
    <System.Diagnostics.DebuggerStepThroughAttribute(),  _
     System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")>  _
    Partial Public Class GlobalServiceSoapClient
        Inherits System.ServiceModel.ClientBase(Of GlobalService.GlobalServiceSoap)
        Implements GlobalService.GlobalServiceSoap
        
        Public Sub New()
            MyBase.New
        End Sub
        
        Public Sub New(ByVal endpointConfigurationName As String)
            MyBase.New(endpointConfigurationName)
        End Sub
        
        Public Sub New(ByVal endpointConfigurationName As String, ByVal remoteAddress As String)
            MyBase.New(endpointConfigurationName, remoteAddress)
        End Sub
        
        Public Sub New(ByVal endpointConfigurationName As String, ByVal remoteAddress As System.ServiceModel.EndpointAddress)
            MyBase.New(endpointConfigurationName, remoteAddress)
        End Sub
        
        Public Sub New(ByVal binding As System.ServiceModel.Channels.Binding, ByVal remoteAddress As System.ServiceModel.EndpointAddress)
            MyBase.New(binding, remoteAddress)
        End Sub
        
        Public Function ModuleSecurityAccess(ByVal KeyPass As String, ByVal IdUser As String, ByVal IdModulo As Integer, ByVal IdOpcion As Integer, ByVal KeySesion As String) As System.Data.DataTable Implements GlobalService.GlobalServiceSoap.ModuleSecurityAccess
            Return MyBase.Channel.ModuleSecurityAccess(KeyPass, IdUser, IdModulo, IdOpcion, KeySesion)
        End Function
        
        Public Function ModuleSecurityAccessAsync(ByVal KeyPass As String, ByVal IdUser As String, ByVal IdModulo As Integer, ByVal IdOpcion As Integer, ByVal KeySesion As String) As System.Threading.Tasks.Task(Of System.Data.DataTable) Implements GlobalService.GlobalServiceSoap.ModuleSecurityAccessAsync
            Return MyBase.Channel.ModuleSecurityAccessAsync(KeyPass, IdUser, IdModulo, IdOpcion, KeySesion)
        End Function
    End Class
End Namespace
